KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataPoint Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataCoordinates,Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

A Geometry object representing a 3d point

GeoDataPoint is the GeoDataGeometry class representing a single three dimensional point. It reflects the Point tag of KML spec and can be contained in objects holding GeoDataGeometry objects. Nevertheless GeoDataPoint shouldn't be used if you just want to store 3d coordinates of a point that doesn't need to be inherited from GeoDataGeometry In that case use GeoDataCoordinates instead which has nearly the same features and is much more light weight. Please consider this especially if you expect to have a high amount of points e.g. for line strings, linear rings and polygons.

See also:
  GeoDataCoordinates

See also:
  GeoDataGeometry

## Methods
| __init__ (self, Marble.GeoDataPoint other)
| __init__ (self, Marble.GeoDataObject parent=0)
| __init__ (self, float _lon, float _lat, float alt=0, Marble.GeoDataPoint.Unit _unit=GeoDataPoint.Radian, int _detail=0, Marble.GeoDataObject parent=0)
| __init__ (self, float _lon, float _lat, float alt=0, Marble.GeoDataObject parent=0)
EnumGeometryId | geometryId (self)
| pack (self, QDataStream stream)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataPoint | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | float | _lon,
|  | float | _lat,
|  | float | alt=0,
|  | Marble.GeoDataPoint.Unit | _unit=GeoDataPoint.Radian,
|  | int | _detail=0,
|  | Marble.GeoDataObject | parent=0
| ) |  |  |

create a geopoint from longitude and latitude

Parameters:

  | _lon | longitude
  | _lat | latitude
  | alt | altitude (default: 0)
  | _unit | units that lon and lat get measured in (default for Radian: north pole at pi/2, southpole at -pi/2)

__init__ | ( | self, |
|  | float | _lon,
|  | float | _lat,
|  | float | alt=0,
|  | Marble.GeoDataObject | parent=0
| ) |  |  |

create a geopoint from longitude and latitude

Parameters:

  | _lon | longitude
  | _lat | latitude
  | alt | altitude (default: 0)
  | _unit | units that lon and lat get measured in (default for Radian: north pole at pi/2, southpole at -pi/2)

EnumGeometryId geometryId | ( |  | self ) |

always returns GeoDataPointId - this function is used to identify GeoDataPoints

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |